Skip to main content
POST
Trigger Sync

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

syncId
string
required

The id of the sync to trigger a run

Body

application/json

The input of a trigger action to run syncs

clearAndFill
boolean
default:false

Whether to clear the audience and then sync the full query to the destination

resetCDC
boolean
default:false

Whether to sync all the rows in the query without executing changes on the destination.

fullResync
boolean
default:false

Whether to resync all the rows in the query (i.e. ignoring previously synced rows).

Response

Ok

The output of a trigger action to run syncs

id
string
required

The id of the triggered sync run. This can be passed to /sync/runs to get the run's status.